summaryrefslogtreecommitdiffstats
path: root/run_tests.sh
diff options
context:
space:
mode:
authorJustin Santa Barbara <justin@fathomdb.com>2011-02-23 18:11:35 +0000
committerTarmac <>2011-02-23 18:11:35 +0000
commit70bc1d4280065f6eba368187af126cebcb6b69bb (patch)
tree3d73657fc3fa7b80bb82c51e21ff80818ceb2c77 /run_tests.sh
parent35991d1e5b1902d5a09776302d8c25761ae248d7 (diff)
parentef0dfb6809f31cfe8ca8056892fc9dcc2f00a0d7 (diff)
downloadnova-70bc1d4280065f6eba368187af126cebcb6b69bb.tar.gz
nova-70bc1d4280065f6eba368187af126cebcb6b69bb.tar.xz
nova-70bc1d4280065f6eba368187af126cebcb6b69bb.zip
Initial support for per-instance metadata, though the OpenStack API. Key/value pairs can be specified at instance creation time and are returned in the details view. Support limits based on quota system.
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/run_tests.sh b/run_tests.sh
index 70212cc6a..8bd1be087 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -73,7 +73,9 @@ fi
if [ -z "$noseargs" ];
then
- run_tests && pep8 --repeat --show-pep8 --show-source --exclude=vcsversion.py bin/* nova setup.py || exit 1
+ srcfiles=`find bin -type f ! -name "nova.conf*"`
+ srcfiles+=" nova setup.py"
+ run_tests && pep8 --repeat --show-pep8 --show-source --exclude=vcsversion.py ${srcfiles} || exit 1
else
run_tests
fi